use ray_tracing_core::prelude::*;

#[derive(Debug)]
pub struct DefaultMaterial {}

impl<R: Rng> Material<R> for DefaultMaterial {
    // evaluates the bsdf
    fn eval(&self, _w_in: Dir3, _w_out: Dir3, _rng: &mut R) -> Color {
        Color::black()
    }
}
